This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 150141 - up2date problem with upgrading from RHEL 4 beta
up2date problem with upgrading from RHEL 4 beta
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 16:13 EST by Janet Smith
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-12 18:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Janet Smith 2005-03-02 16:13:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041217

Description of problem:
We have a system installed with RHEL 4 (beta).  I want to upgrade it to the GA version.  I'm trying to use up2date.  But the up2date registration is not providing a proper RHN channel.  The rhn.redhat.com is showing a channel of NONE.    And the panels do not allow me to change it to a valid channel.

[root@konkur rhn]# up2date -l
This system may not be updated until it is associated with a channel.


Version-Release number of selected component (if applicable):
up2date-4.3.38-1

How reproducible:
Always

Steps to Reproduce:
1.  Start with a RHEL4 beta installation system.
2.  up2date --register
3.  up2date -l
  

Actual Results:  The up2date (RHN) does not seem to recoginize the beta version of RHEL4 and so does not register a proper channel.

[root@konkur rhn]# up2date -l
This system may not be updated until it is associated with a channel.

Expected Results:  The system should be registered as RHEL 4 beta channel.

Additional info:

If there is some other way to upgrade the system, I'd be glad to use it.
Comment 1 Jay Turner 2005-03-04 05:36:13 EST
Do you have any free entitlements to register the machine under?  I suspect
you're seeing the case where you don't have any free entitlements, therefore the
website can't associate the machine with a base channel.  Go to this page on the
RHN website to confirm:
https://rhn.redhat.com/network/software/channels/entitlements.pxt
Comment 2 Milan Kerslager 2005-03-10 15:00:42 EST
Delete your old profile in RHN, make sure you have proper version of
redhat-release (not Beta one), then run:

up2date --register
Comment 3 Adrian Likins 2005-04-06 12:44:29 EDT
is this resolved with final release?
Comment 4 Janet Smith 2005-04-07 17:00:00 EDT
Sorry, but the whole point of this request was to be able to UPGRADE from the
beta to the GA version of RHEL4 using the RedHat Network (up2date).  I guess
you're telling me that it can't be done.

Comment 5 Jay Turner 2005-04-08 03:18:48 EDT
Two different things going on here.  First, upgrading from a beta to a final
release is never supported.  There's just too much "funny stuff" which happens
in the betas to guarantee that it's going to work.  That having been said (and
the second issue) your original report is that you can't get the machine to join
the RHEL4 official channel.  That has nothing to do with you having the beta
currently installed.  Instead that's a factor of whether you have any valid
entitlements to register a machine to the official channel.  So pull up the
webpage I mentioned in comment 1 and see if you have any available entitlements
to the official channel.  If you do, then you should be able join the machine to
the channel.
Comment 6 Janet Smith 2005-04-12 18:07:19 EDT
We have plenty of entitlements to the official channels.  But the beta version
could not be recognized as RHEL4.  And it would not let me manually change it. 
I have long ago re-installed with the GA code, so you can close this bug.

Thanks,

Janet Smith

Note You need to log in before you can comment on or make changes to this bug.